Bug 47439 - Docker-Apps may fail to upgrade behind a proxy
Docker-Apps may fail to upgrade behind a proxy
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-2-errata
Assigned To: Felix Botner
Dirk Wiesenthal
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-02 11:47 CEST by Nico Stöckigt
Modified: 2018-09-26 13:24 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.046
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2018073021000368
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nico Stöckigt univentionstaff 2018-08-02 11:47:24 CEST
When installing a docker App the hosts proxy settings are copied into the container. When the docker App is already installed and the proxy is added or changed afterwards, the new settings are not copied into the docker container.

We should add some kind of pre-upgrade script to take care of such situation.
Comment 1 Felix Botner univentionstaff 2018-09-11 10:14:47 CEST
univention-appcenter: 3dd9fbe0d70f779e4c0d9aae89142e3d87b6ba09
yaml: f79af25cd8a4a21c507e4808f12b8fa3742ba5ed

Proxy settings are now updated in the container before the upgrade.

Additionally, pull now raises an Abort exception.
I had the problem that after setting up my proxy i forgot to restart the docker daemon. Then i wanted to upgrade a docker app. The pull failed (because the docker daemon couldn't connect to the registry) but the upgrade did continue up to the step of starting the container. This failed and then the whole abort, remove, reinstall broke my app.
So better stop after the pull fails

Works for me during upgrade (upgrade stops but does not touch the old app) and install (removes the app)
Comment 2 Dirk Wiesenthal univentionstaff 2018-09-19 12:31:13 CEST
Ok, works during App updates.

This bug affects those apps that need an internet connection. (Mainly appbox)

Note that this is not a "live adaption" of changed proxy settings on the host. The new proxy settings are applied when an App update is installed, which may or may not be possible at this time.

While no App update is available (or installed), the container does not have a working internet connection and thus cannot install errata updates.

I still think this is okay for now. At least works better.
Comment 3 Erik Damrose univentionstaff 2018-09-26 13:24:42 CEST
<http://errata.software-univention.de/ucs/4.3/249.html>